# getBlockchains()

**Method Signature:**

```php
public function getBlockchains() 
```

**Example:**

<pre class="language-javascript"><code class="lang-javascript"><strong>var blockchains = await CircularProtocolAPI.getBlockchains();
</strong></code></pre>

**Result**

The result will be of type `JSON`.

{% tabs %}
{% tab title="200" %}

```json
{
    "Result": 200,
    "Response": {
        "Blockchains": [
            {
                "Address": "714d2ac07a826b66ac56752eebd7c77b58d2ee842e523d913fd0ef06e6bdfcae",
                "Name": "Circular Main Public"
            },
            {
                "Address": "acb8a9b79f3c663aa01be852cd42725f9e0e497fd849b436df51c5e074ebeb28",
                "Name": "Circular Secondary Public"
            },
            {
                "Address": "e087257c48a949710b48bc725b8d90066871fa08f7bbe75d6b140d50119c481f",
                "Name": "Circular Documark Public"
            },
            {
                "Address": "8a20baa40c45dc5055aeb26197c203e576ef389d9acb171bd62da11dc5ad72b2",
                "Name": "Circular SandBox"
            }
        ]
    },
    "Node": "8a93c6b6f8d166097ddfeb3e5e3a2998b35e0b6f0bd2e31a8a130a11b6749279"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/javascript/getblockchains.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
